using EVCB_OCPP.Packet.Messages.FirmwareManagement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.FirmwareManagement
{
    public class FirmwareStatusNotificationFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.FirmwareStatusNotification.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(FirmwareStatusNotificationConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(FirmwareStatusNotificationRequest);
        }
    }
}
